Bug 244423

Summary: editors/hexcurse: removes BROKEN - provides stable, loving home for source...
Product: Ports & Packages Reporter: Chris Hutchinson <portmaster>
Component: Individual Port(s)Assignee: Philippe Audeoud <jadawin>
Status: Closed FIXED    
Severity: Affects Some People CC: jadawin, rene
Priority: --- Keywords: buildisok, easy, patch, patch-ready
Version: LatestFlags: bugzilla: maintainer-feedback? (jadawin)
portmaster: maintainer-feedback? (jadawin)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn diff for editors/hexcurse portmaster: maintainer-approval? (jadawin)

Description Chris Hutchinson 2020-02-26 01:08:34 UTC
Created attachment 211943 [details]
svn diff for editors/hexcurse

editors/hexcurse has been marked BROKEN as the
source location went missing.
The svn(1) diff(1) attached fixes that.

I went looking to add HEX capabilities to (a)ee
which I currently Maintain. I happened across hexcurse.
But found that it wouldn't fetch(1). So I managed to dredge
up the original source. I also discovered that the web page
has been gone for some 11yrs. So I whipped up a replacement.

CHANGES

Makefile
MASTER_SITES

distinfo
TIMESTAMP
DISTFILE (hexcurse-1.55.tar.gz)

pkg-descr
WWW
slight grammatical mods

That's it!

Tested on: FreeBSD 14.0-FUTURE Cray256

Thanks!

NOTE to current Maintainer: If you're un(willing|able) to
maintain this. Feel free to list me. I'll be happy to take it. :)

--Chris
Comment 1 Automation User 2020-03-12 00:09:05 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/125494005
Comment 2 Rene Ladan freebsd_committer 2020-05-24 16:10:01 UTC
Steal from jadawin
Comment 3 Rene Ladan freebsd_committer 2020-05-24 16:16:12 UTC
Any news? This port expired on 2020-05-05.
Comment 4 Rene Ladan freebsd_committer 2020-06-08 16:40:49 UTC
Committed with minor modifications to pkg-descr. I also added a TIMESTAMP value to distinfo by running 'make makesum' , which was needed to get past the pre-commit checks.
Comment 5 commit-hook freebsd_committer 2020-06-08 16:41:10 UTC
A commit references this bug:

Author: rene
Date: Mon Jun  8 16:40:16 UTC 2020
New revision: 538235
URL: https://svnweb.freebsd.org/changeset/ports/538235

Log:
  editors/hexcurse: unexpire by moving to new MASTER_SITES

  While here grammar check pkg-descr

  PR:		244423
  Submitted by:	Chris Hutchinson
  Approved by:	maintainer timeout (jadawin, 13 weeks)
  MFH:		2020Q2

Changes:
  head/editors/hexcurse/Makefile
  head/editors/hexcurse/distinfo
  head/editors/hexcurse/pkg-descr
Comment 6 commit-hook freebsd_committer 2020-06-08 17:31:37 UTC
A commit references this bug:

Author: rene
Date: Mon Jun  8 17:31:12 UTC 2020
New revision: 538240
URL: https://svnweb.freebsd.org/changeset/ports/538240

Log:
  MFH: r538235

  editors/hexcurse: unexpire by moving to new MASTER_SITES

  While here grammar check pkg-descr

  PR:		244423
  Submitted by:	Chris Hutchinson
  Approved by:	maintainer timeout (jadawin, 13 weeks)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/editors/hexcurse/Makefile
  branches/2020Q2/editors/hexcurse/distinfo
  branches/2020Q2/editors/hexcurse/pkg-descr